## whizzytex 1.2.2

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	rm -f $(TMP)
 	mkdir -p $@ 
 
-$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) config.ok
+$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) Makefile.config
 ifndef ADVI
 	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
 	    -e 's|^\( *\)\(("-advi[^)]*")\) *\(("-dvi[^)]*")\)|\1\3 \2|' \
@@ -71,7 +71,6 @@
 $(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) config.ok
 	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
 	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
-	    -e 's|^GREPB=.*|GREPB=$(GREPB)|' \
 	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
 	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
 	    -e 's|^CONFIGFILE=.*|CONFIGFILE=$(CONFIGFILE)|' \
@@ -84,12 +83,12 @@
 	chmod +x $@
 
 ifdef EMACSDIR
-start-emacs.el: $(SRC)/start.el
+whizzytex-emacs-init.el: $(SRC)/whizzytex-init.el
 	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(EMACSDIR)/whizzytex\2|' $<
 endif
 
 ifdef XEMACSDIR
-start-xemacs.el: $(SRC)/start.el
+whizzytex-xemacs-init.el: $(SRC)/whizzytex-init.el
 	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(XEMACSDIR)/whizzytex\2|' $<
 endif
 
@@ -100,7 +99,7 @@
 	mkdir -p $(DESTDIR)$(EMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(EMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)/$(EMACSDIR)/whizzytex.elc
 ifdef EMACS
 	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
@@ -110,7 +109,7 @@
 	mkdir -p $(DESTDIR)$(XEMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(XEMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)/$(XEMACSDIR)/whizzytex.elc
 ifdef XEMACS
 	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed
@@ -123,8 +122,8 @@
 	$(INSTALLR) $(SRC)/whizzytex.sty $(DESTDIR)$(LATEXDIR)
 	echo $(DESTDIR)$(LATEXDIR)/whizzytex.sty >> Manager.installed
 	mkdir -p $(DESTDIR)$(DOCDIR) 
-	$(INSTALLR) doc/manual.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
-	for i in manual.html COPYING GPL INSTALL; \
+	$(INSTALLR) doc/whizzytex.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
+	for i in doc/whizzytex.html COPYING GPL INSTALL; \
 	 do echo $(DOCDIR)/$$i; done >> Manager.installed
 
 where:
