## whizzytex 1.3.1

=== Makefile ===
--- 
+++ 
@@ -72,13 +72,13 @@
 	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
 	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
 	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
-	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
+	    -e 's|^DVIPS=.*|DVIPS="$(DVIPS)"|' \
 	    -e 's|^CONFIGFILE=.*|CONFIGFILE=$(CONFIGFILE)|' \
-	    -e 's|^INITEX=.*|INITEX=$(INITEX)|' \
-	    -e 's|^LATEX=.*|LATEX=$(LATEX)|' \
-	    -e 's|^FORMAT=.*|FORMAT=$(FORMAT)|' \
+	    -e 's|^INITEX=.*|INITEX="$(INITEX)"|' \
+	    -e 's|^LATEX=.*|LATEX="$(LATEX)"|' \
+	    -e 's|^FORMAT=.*|FORMAT="$(FORMAT)"|' \
 	    -e 's|^FMT=.*|FMT=$(FMT)|' \
-	    -e 's|^BIBTEX=.*|BIBTEX=$(BIBTEX)|' \
+	    -e 's|^BIBTEX=.*|BIBTEX="$(BIBTEX)"|' \
 	 <  $< > $@
 	chmod +x $@
 
@@ -99,7 +99,7 @@
 	mkdir -p $(DESTDIR)$(EMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(DESTDIR)/$(EMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)$(EMACSDIR)/whizzytex.elc
 ifdef EMACS
 	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
@@ -109,7 +109,7 @@
 	mkdir -p $(DESTDIR)$(XEMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(DESTDIR)/$(XEMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)$(XEMACSDIR)/whizzytex.elc
 ifdef XEMACS
 	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed
