## whizzytex 1.3.1-4

=== debian/changelog ===
whizzytex (1.3.1-4) unstable; urgency=low

  * Dependency update: move gv to recommends, remove tetex dependency and
    keep the texlive dependnecy, and keep advi as depends. 
    (closes: #525992, #525996)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 May 2009 15:19:54 +0900

whizzytex (1.3.1-3) unstable; urgency=low

  * Bug fix: "whizzytex: FTBFS: ! LaTeX Error: File `kvoptions.sty
    not found.", thanks to Lucas Nussbaum (Closes: #467587).
  - it seems to have moved over to texlive-base-recommended.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2008 09:08:33 +0900

whizzytex (1.3.1-2) unstable; urgency=low

  * Bug fix: "whizzytex: Missing examples in package", thanks to Boris
    Yakobowski (Closes: #464865).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 14 Feb 2008 08:16:29 +0900

whizzytex (1.3.1-1) unstable; urgency=low

  * New upstream release
  * updated patches

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Nov 2007 08:34:57 +0900

whizzytex (1.3.0-6) unstable; urgency=low

  * Bug fix: "whizzytex: PDF viewer not usable", thanks to Martin Quinson
    (Closes: #441306).
  - use "pdflatex -ini", instead of pdfinitex.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 10 Sep 2007 21:48:39 +0900

whizzytex (1.3.0-5) unstable; urgency=low

  * Bug fix: "whizzytex: Texlive support", thanks to Stuart Teasdale
    (Closes: #388433).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Apr 2007 21:54:08 +0900

whizzytex (1.3.0-4) unstable; urgency=low

  * clean test files.
  * Bug fix: "-ini: command not found on every run", thanks to
    Dylan Thurston (Closes: #374071).
  * Standards-Version: 3.7.2
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * /etc/whizzytex/whizzytexrc is now empty; we don't really need 
    to override default settings anymore. This fixes:
  - Bug fix: "gv does not work with whizzytex, whizzytex seems to be
    broken", thanks to Lionel Elie Mamane (Closes: #228912).
  - Bug fix: "whizzytex: Configuration is a mess", thanks to Dylan
    Thurston (Closes: #374073).
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 17 Jun 2006 14:11:08 +0900

whizzytex (1.3.0-3) unstable; urgency=low

  * README.Debian: update URL to cristal.inria.fr
  * Bug fix: "whizzytex: Don't include GPL", thanks to Dylan Thurston
    (Closes: #365904).
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 May 2006 22:44:09 +0900

whizzytex (1.3.0-2) unstable; urgency=low

  * README.Debian: documentation update for ptex-bin 3.1.9+0.04b-1, which
    removed iniptex. Other minor updates to text.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  9 Apr 2006 13:17:44 +0900

whizzytex (1.3.0-1) unstable; urgency=low

  * New upstream release
  - Bug fix: "Wrong type argument: integerp, nil" (Closes: #346208).
  - 07_bash_makefile: update
  - 09_compat_config: update
  - 10_hevea_nosymb_dropped: merged upstream, remove.
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Jan 2006 12:20:06 +0900

whizzytex (1.2.3-4) unstable; urgency=low

  * Remove Depends on xdvi package which doesn't exist.
    xdvi is part of tetex-bin. Since nobody has complained so far,
    and advi is much superior when using whizzytex,
    make whizzytex depend on advi | gv.
  * update FAQ location to cristal
  - updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * quote "pdfetex -ini" in Makefile.config

 -- Junichi Uekawa <dancer@debian.org>  Fri,  6 Jan 2006 21:41:37 +0900

whizzytex (1.2.3-3) unstable; urgency=low

  * debian/Makefile.config: reflect einitex->"pdfetex -ini" change.
  * debian/copyright: upstream page moved to cristal.inria.fr

 -- Junichi Uekawa <dancer@debian.org>  Thu, 17 Nov 2005 07:28:15 +0900

whizzytex (1.2.3-2) unstable; urgency=low

  * Bug fix: "whizzytex: einitex unavailable from tetex and no longer
    functions.", thanks to Roland Stigge for reporting (Closes: #338046).
    Work around recent tetex3.0 change. The notable things were:
    .  tex -ini is used instead of removed 'initex'.
    .  Now pdfetex is used for formatting.
  
  - Documented the change in README.Debian
  - Depend on tetex-bin 3.0-10 or greater.

  * DH_COMPAT=4.
  * debian/test-file/test1.tex: add a little test file here for 
    manual regression testing.

  * remove Manager.installed file which is not cleaned after build.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 12 Nov 2005 13:10:17 +0900

whizzytex (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Set MULTIPLE=true by default (closes: #314476)
  - Pressing 'w' in advi window will toggle the 'current' view and 'whole'
    view.
  * 10_hevea_nosymb_dropped: -nosymb option is no longer
    accepted by hevea.
  - build-depend on hevea 1.08 or greater
  * Standards-Version 3.6.2: no change.
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Sun, 21 Aug 2005 12:04:00 +0900

whizzytex (1.2.2-2) unstable; urgency=low

  * install upstream changelog (closes: #303506)
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Apr 2005 06:15:17 +0900

whizzytex (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #276196)
  * Update debian patches:
  - 05_release -- no longer required, removed
  - 06_fix_docmake -- applied upstream, removed
  - 07_bash_makefile -- update
  * Keep configuration file compatibility by loading config 
    files in the old path as well
  - 09_compat_config -- new
  
  * Build-Depends: add advi, for documentation requires 
    'advi-annot.sty'.
  * debian/rules: manual.html is now called whizzytex.html
    clean rule updated for new files.
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html
  * Updated README.Debian to reflect current status
  * Add LEVEL=2 to whizzytex.conf, and document to README.Debian.

