=== debian/control ===
Source: whizzytex
Section: tex
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpatch, hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended
Standards-Version: 3.7.2

Package: whizzytex
Architecture: all
Depends: emacsen, texlive-latex-base, advi
Recommends: gv, xpdf-reader
Description: a WYSIWYG emacs environment for LaTeX
 WhizzyTeX is an emacs minor mode for incrementally
 (TeXing and) previewing a LaTeX file while editing at real-time.
 .
 It works with ghostview-based and xdvi-based previewers,
 but enhanced visual effects and wider variety of options
 will be available when using the advi DVI-previewer.
