=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# debian/tmp-info/whizzytex.info is used as a temporary space 
# to hold whizzytex info file.

include /usr/share/dpatch/dpatch.make

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	cp debian/Makefile.config .
	$(MAKE) config.force

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	LC_ALL=C LANG=C $(MAKE) -C doc whizzytex.html whizzytex.info

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -rf debian/tmp-info

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) -C doc distclean

	# extra clean-up upstream does not do.
	rm -f doc/whizzytex.info* doc/whizzytex00[123].png
	cd doc && rm -f *~ missfont.log texput.log manual.html-*
	rm -f Manager.installed
	rm -rf debian/testfile/_whizzy_* debian/testfile/*.aux debian/testfile/*.log debian/testfile/*.dvi debian/testfile/*.waux debian/testfile/*.log debian/testfile/*.out debian/testfile/*~

	dh_clean Makefile.config

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/whizzytex.
	$(MAKE) install \
	DESTDIR=$(CURDIR)/debian/whizzytex/
	# remove extra docs I don't need
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/COPYING
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/GPL
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/INSTALL
	install -m 755 -o root -g root -d $(CURDIR)/debian/whizzytex/etc/whizzytex
	install -m 644 -o root -g root debian/whizzytexrc $(CURDIR)/debian/whizzytex/etc/whizzytex/whizzytex.conf
	# hack the header for whizzytex info file.
	-mkdir debian/tmp-info
	(head -1 doc/whizzytex.info;  \
	cat debian/whizzytex.info-header ; \
	sed 1d < doc/whizzytex.info ) > debian/tmp-info/whizzytex.info
	cp doc/whizzytex.info-* debian/tmp-info

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installcron
	dh_installman
	dh_installinfo -v debian/tmp-info/whizzytex.info*
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# eval this in emacs: (shell-command "cd ../ && debian/rules getfaq")
getfaq:
	rm -f debian/FAQ-new.html
	wget http://cristal.inria.fr/whizzytex/FAQ.html -O debian/FAQ-new.html 
	mv debian/FAQ-new.html debian/FAQ.html
	dch -a "updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html"

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
