## whizzytex 1.3.1-4ubuntu1

=== debian/changelog ===
whizzytex (1.3.1-4ubuntu1) oneiric; urgency=low

  * Add alternative recommendation on pdf-viewer.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Sep 2011 15:16:46 +0200
