=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: whizzytex
 Architecture: all
 Depends: emacsen, texlive-latex-base, advi
-Recommends: gv, xpdf-reader
+Recommends: gv, xpdf-reader | pdf-viewer
 Description: a WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally
  (TeXing and) previewing a LaTeX file while editing at real-time.
