=== debian/changelog ===
whizzytex (1.3.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - fix Build-Depends since pgf is intergrated into TeXLive.

 -- Hideki Yamane <henrich@debian.org>  Thu, 29 Jun 2017 20:11:36 +0900

whizzytex (1.3.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - set Depends from emacs23 to emacs (Closes: #754040) 

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Sep 2014 11:44:15 +0900

whizzytex (1.3.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends-Indep: pgf" to fix FTBFS (Closes: #713507)
    - set "Build-Depends: debhelper (>> 7.0.50~) 
    - drop "Build-Depends: dpatch" to fix lintian Error.
  * add debian/source/fomrat as "3.0 (quilt)"
  * debian/rules
    - drop dpatch 
  * debian/patches
    - convert to quilt
  * add debian/compat as 7

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 16:06:20 +0900

whizzytex (1.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 11_boxsep_boolean: doc/manual.tex: Set "boxsep" to "false" rather
    than "0pt".  Closes: #666645.
  * Use dh_installtex.  Closes: #669395.

 -- Matej Vela <vela@debian.org>  Sat, 19 May 2012 18:49:04 +0100

whizzytex (1.3.2-1) unstable; urgency=low

  [ Matthias Klose ]
  * Add alternative recommendation on pdf-viewer.

  [ Junichi Uekawa ]
  * merge ubuntu patch (closes: #640353)
  * new upstream version (closes: #636448)
  - 10_no_pdfinitex: merged upstream, removed.
  * fix examples/examples directory and put to examples (closes: #541745)
  * Fix lintian errors.
  - add misc:Depends
  - add INSTALL-INFO header
  - no longer call install-info from postinst/prerm.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Sep 2011 10:02:14 +0900
