=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpatch, hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended
+Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
+Build-Depends: debhelper (>> 7.0.50~)
 Standards-Version: 3.7.2
 
 Package: whizzytex
 Architecture: all
-Depends: emacsen, texlive-latex-base, advi
+Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
 Recommends: gv, xpdf-reader | pdf-viewer
 Description: a WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally
