=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
-
 # debian/tmp-info/whizzytex.info is used as a temporary space 
 # to hold whizzytex info file.
 
-include /usr/share/dpatch/dpatch.make
-
 configure: configure-stamp
-configure-stamp: patch
+configure-stamp: 
 	dh_testdir
 	cp debian/Makefile.config .
 	$(MAKE) config.force
@@ -32,7 +27,7 @@
 
 	touch build-stamp
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp 
@@ -84,6 +79,7 @@
 	dh_installman
 	dh_installinfo -v debian/tmp-info/whizzytex.info*
 	dh_installchangelogs CHANGES
+	dh_installtex
 	dh_link
 	dh_strip
 	dh_compress
