=== debian/changelog ===
whizzytex (1.3.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - drop Build-Depends: debhelper, just debhelper-compat is enough
    - add Rules-Requires-Root: no
  * add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Tue, 08 Oct 2019 00:22:30 +0900

whizzytex (1.3.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    - add 11_remove-timestamp.patch (Closes: #794247)
      Thanks to Eduard Sanou <dhole@openmailbox.org> for the patch
    - add 12_backslashes.patch (Closes:#805759)
      Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> for the patch

 -- Hideki Yamane <henrich@debian.org>  Wed, 16 Jan 2019 20:06:19 +0900

whizzytex (1.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload.

  * New upstream release
  * Add debian/watch
  * Make debian/rules to use dh, separate files into debian/install,clean,
    dirs
    - Also remove broken symlink (Closes:#858472)
  * debian/patches
    - refresh patches
  * debian/control
    - Add Vcs-*
    - Add Homepage:
    - Set Standards-Version: 4.3.0
    - Use debhelper-compat (= 12)
    - Fix description
  * Drop debian/compat
  * Drop empty maintainer scripts (postrm and prerm) (Closes: #866285)
  * Updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * Add debian/emacsen-compat file
  * Enable autopkgtest to re-use old debian/testfiles

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jan 2019 10:17:46 +0900
