=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
-Build-Depends: debhelper (>> 7.0.50~)
-Standards-Version: 3.7.2
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
+Vcs-Browser: https://salsa.debian.org/debian/whizzytex
+Homepage: http://cristal.inria.fr/whizzytex/
+Rules-Requires-Root: no
 
 Package: whizzytex
 Architecture: all
 Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
 Recommends: gv, xpdf-reader | pdf-viewer
-Description: a WYSIWYG emacs environment for LaTeX
+Description: WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally
  (TeXing and) previewing a LaTeX file while editing at real-time.
  .
