=== debian/tests/control ===
Test-Command: emacs --script debian/tests/test.el debian/tests/test1.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-edit.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-gv.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-xpdf.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex
