## whizzytex 1.3.6

=== debian/changelog ===
whizzytex (1.3.6-2) unstable; urgency=medium

  * debian/control
    - Drop non-exist package xpdf-reader, set xpdf

 -- Hideki Yamane <henrich@debian.org>  Mon, 22 Jun 2020 18:12:57 +0900

whizzytex (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * debian/patches
    - Drop all previous patches: merged upstream
    - Add fix-bashism-and-more.patch (Closes: #772388)
    - Add add-png-files.patch (Closes: #787799)
  * debian/copyright
    - Convert to copyright-format 1.0
  * debian/control
    - Set myself maintainer and set Junichi as Uploaders
  * debian/clean
    - Do NOT remove png files
  * debian/rules
    - Do not install info.head file

 -- Hideki Yamane <henrich@debian.org>  Sat, 13 Jun 2020 20:57:02 +0900

whizzytex (1.3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New Upstream Version 1.3.5
  * Updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * Removed unnecessary debian/{postinst,lintian-overrides}
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Jun 2020 12:50:59 +0900

whizzytex (1.3.3-0.4) unstable; urgency=medium

  * debian/changelog
    - Trim trailing whitespace.
    - Wrap long lines in changelog entries: 1.1.3.0-1, 1.1.3-1, 1.1.1-5,
      1.1-3.
  * debian/control
    - Update standards version to 4.5.0, no changes needed.
    - Bump up to debhelper-compat (= 13)

 -- Hideki Yamane <henrich@debian.org>  Mon, 11 May 2020 03:03:53 +0900
