=== debian/control ===
Source: whizzytex
Section: tex
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
Vcs-Browser: https://salsa.debian.org/debian/whizzytex
Homepage: http://cristal.inria.fr/whizzytex/
Rules-Requires-Root: no

Package: whizzytex
Architecture: all
Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
Recommends: gv, xpdf | pdf-viewer
Description: WYSIWYG emacs environment for LaTeX
 WhizzyTeX is an emacs minor mode for incrementally
 (TeXing and) previewing a LaTeX file while editing at real-time.
 .
 It works with ghostview-based and xdvi-based previewers,
 but enhanced visual effects and wider variety of options
 will be available when using the advi DVI-previewer.
