## whizzytex 1.3.7

=== debian/changelog ===
whizzytex (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * debian/control
    - Set Standards-Version: 4.5.1

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 May 2021 01:33:03 +0900
