=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
 Vcs-Browser: https://salsa.debian.org/debian/whizzytex
 Homepage: http://cristal.inria.fr/whizzytex/
