## whizzytex 1.4.0

=== debian/changelog ===
whizzytex (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * Upload to experimental due to some lintian warnings that comes from
    upstream 

 -- Hideki Yamane <henrich@debian.org>  Fri, 13 Aug 2021 00:16:16 +0900
