=== debian/changelog ===
whizzytex (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Jeremy Bícha ]
  * New upstream version 1.5.0
  * Add minimal debian/gbp.conf
  * Release to unstable (Closes: #1059088)

  [ Debian Janitor ]
  * Trim trailing whitespace
  * Update standards version to 4.6.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 13:11:58 -0400
