=== debian/rules ===
--- 
+++ 
@@ -19,17 +19,11 @@
               "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/GPL" \
               "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/INSTALL"
 
-override_dh_installexamples:
-	dh_installexamples
-	find "$(CURDIR)/debian/whizzytex" -name *~ -delete
-	find "$(CURDIR)/debian/whizzytex" -name .cvsignore -delete
-	rm "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/examples/mlpost/mlpostx.native"
-
 override_dh_clean:
 	dh_clean -Xexamples/*
 
 override_dh_installinfo:
-	dh_installinfo -v $(CURDIR)/doc/whizzytex.info*
+	dh_installinfo -v $(CURDIR)/doc/whizzytex.info $(CURDIR)/doc/whizzytex.info-[1-9]
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
