=== debian/watch ===
version=4
http://cristal.inria.fr/whizzytex/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
